
/*
Copyright 2007-2008 Kim A. Brandt <kimabrandt@gmx.de>

This file is part of yarip.

Yarip is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Yarip is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with yarip; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

function YaripStyleDialog()
{
	this.obj = null;

	this.setXPathValue = function(value)
	{
		if (!this.obj) return;

		this.obj.xValue = value;
	}

	this.setStyleValue = function(value)
	{
		if (!this.obj) return;

		this.obj.style = value;
	}

	this.checkXPath = function(xValue)
	{
		if (!xValue) return false;

		try { document.evaluate(xValue, document.createElement("div"), null, XPathResult.ANY_TYPE, null); }
		catch (e)
		{
			alert(this.stringbundle.getString("ERR_INVALID_XPATH"));
			return false;
		}

		return true;
	}

	this.load = function()
	{
		if (!window /*|| !("yarip" in window)*/) return;

		if ("arguments" in window && window.arguments.length > 0) this.obj = window.arguments[0];

		this.stringbundle = document.getElementById("style-dialog-stringbundle");

		document.getElementById("xpath").value = this.obj.xValue ? this.obj.xValue : "";
		document.getElementById("style").value = this.obj.style ? this.obj.style : "";
	}

	this.accept = function()
	{
		if (!this.obj) return;

		if (this.checkXPath(this.obj.xValue)) return;
		else
		{
			document.getElementById("xpath").select();
			throw this.stringbundle.getString("ERR_INVALID_XPATH");
		}
	}

	this.cancel = function()
	{
		this.obj.xValue = null;
		this.obj.style = null;
	}
}
